Package org.apache.tapestry5.internal.services

## Class ContextResource

- java.lang.Object
- - org.apache.tapestry5.commons.internal.util.LockSupport
  - - org.apache.tapestry5.ioc.internal.util.AbstractResource
    - - org.apache.tapestry5.internal.services.ContextResource

- All Implemented Interfaces:
    `Resource`

      public class ContextResource
      extends AbstractResource

  A resource stored with in the web application context.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ContextResource​(Context context, java.lang.String path)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(java.lang.Object obj)` |
    `int` | `hashCode()` |
    `protected Resource` | `newResource​(java.lang.String path)` | Factory method provided by subclasses.
    `java.lang.String` | `toString()` |
    `java.net.URL` | `toURL()` | Returns the URL for the resource, or null if it does not exist.

    - ### Methods inherited from class org.apache.tapestry5.ioc.internal.util.AbstractResource

      `exists, forFile, forLocale, getFile, getFolder, getPath, isVirtual, openStream, validateURL, withExtension`

    - ### Methods inherited from class org.apache.tapestry5.commons.internal.util.LockSupport

      `acquireReadLock, downgradeWriteLockToReadLock, releaseReadLock, releaseWriteLock, takeWriteLock, upgradeReadLockToWriteLock`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ContextResource

          public ContextResource​(Context context,
                                 java.lang.String path)

  - ### Method Detail

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### newResource

          protected Resource newResource​(java.lang.String path)

      Description copied from class: `AbstractResource`
      Factory method provided by subclasses.
      Specified by:
        `newResource` in class `AbstractResource`

    - #### toURL

          public java.net.URL toURL()

      Description copied from interface: `Resource`
      Returns the URL for the resource, or null if it does not exist. This value is lazily computed; starting in 5.3.4, subclasses may cache the result. Starting in 5.4, some "virtual resources" may return null.

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### equals

          public boolean equals​(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`